<?php
namespace App\Helpers;

use Illuminate\Support\Facades\DB;
use App\Models\Kecamatan;
use App\Models\Kelurahan;
use App\Models\User;
use App\Models\DataWarga;
use App\Models\Dpt;
use App\Models\SuratDukungan;
use App\Models\Kabupaten;
use App\Models\UserLog;
use Illuminate\Support\Facades\Auth;

class Helper {

	public static function jumlahKabupaten()
	{
		return Kabupaten::count();
	}

	public static function jumlahKecamatan()
	{
		return Kecamatan::count();
	}

	public static function jumlahKelurahan()
	{
		return Kelurahan::count();
	}

	public static function jumlahUser()
	{
		return User::count();
	}

	public static function jumlahDPTBelumTerdaftar()
	{
		return Dpt::where('status', 1)->count();
	}

	public static function jumlahWarga()
	{
        // return DataWarga::where('user_id',Auth::user()->id)->count();
        // if(Auth::user()->role == 1) {
            return DataWarga::count();
        // } else {

        // }
	}

    public static function surdukKeluar() {
        return SuratDukungan::sum('surduk_keluar');
    }

    public static function surdukMasuk() {
        return SuratDukungan::sum('surduk_masuk');
    }

	public static function jumlahWargaPerHari($hari)
	{
		return DataWarga::whereDate('created_at',$hari)->count();
	}

	public static function userLog()
	{
		$logs = UserLog::limit(10)->with('user')->orderBy('created_at','DESC')->get();
		if(Auth::user()->role == 0){
			$logs = UserLog::where('user_id',Auth::user()->id)->orderBy('created_at','DESC')->limit(10)->get();
		}

		return $logs;
	}



	public static function grafikPie($per)
	{
		switch ($per) {
            case 'kabupaten':
				// $kecamatans = Kecamatan::orderBy('nama_kecamatan','ASC')->get();
				$k = [];
				$w = [];
				$c = [];
				$total = 0;
				// foreach ($kecamatans as $kecamatan) {
				// 	$k[] = $kecamatan->nama_kecamatan;
				// 	$c[] = '#' . str_pad(dechex(mt_rand(0, 0xFFFFFF)), 6, '0', STR_PAD_LEFT);
				// 	$k_i = $kecamatan->id;
				// 	$hitung = DataWarga::whereHas('kelurahan',function ($q)use($k_i)
				// 	{
				// 		$q->where('kecamatan_id',$k_i);
				// 	})->count();
				// 	$w[] = $hitung;
				// 	$total += $hitung;
				// }

                $datawarga = DataWarga::select('kabupatens.id AS kabupatenID', 'kabupatens.nama_kabupaten',DB::raw('count(*) AS total'))
                ->join('kelurahans', 'kelurahans.id', '=', 'data_wargas.kelurahan_id')
                ->join('kecamatans', 'kecamatans.id', '=', 'kelurahans.kecamatan_id')
                ->join('kabupatens', 'kabupatens.id', '=', 'kecamatans.kabupaten_id')
                ->groupBy('kabupatenID')
                ->get();

                foreach($datawarga as $a) {
                    $k[] = $a->nama_kabupaten;
					$c[] = '#' . str_pad(dechex(mt_rand(0, 0xFFFFFF)), 6, '0', STR_PAD_LEFT);
					$k_i = $a->kabupatenID;
					$hitung = $a->total;
					$w[] = $hitung;
					$total += $hitung;
                }
				return $data = ['label'=>$k,'data'=>$w,'color'=>$c,'total'=>$total];
				break;
			case 'kecamatan':
				// $kecamatans = Kecamatan::orderBy('nama_kecamatan','ASC')->get();
				$k = [];
				$w = [];
				$c = [];
				$total = 0;
				// foreach ($kecamatans as $kecamatan) {
				// 	$k[] = $kecamatan->nama_kecamatan;
				// 	$c[] = '#' . str_pad(dechex(mt_rand(0, 0xFFFFFF)), 6, '0', STR_PAD_LEFT);
				// 	$k_i = $kecamatan->id;
				// 	$hitung = DataWarga::whereHas('kelurahan',function ($q)use($k_i)
				// 	{
				// 		$q->where('kecamatan_id',$k_i);
				// 	})->count();
				// 	$w[] = $hitung;
				// 	$total += $hitung;
				// }

                $datawarga = DataWarga::select('kecamatans.id AS kecamatanID', 'kecamatans.nama_kecamatan',DB::raw('count(*) AS total'))
                ->join('kelurahans', 'kelurahans.id', '=', 'data_wargas.kelurahan_id')
                ->join('kecamatans', 'kecamatans.id', '=', 'kelurahans.kecamatan_id')
                ->groupBy('kecamatanID')
                ->get();

                foreach($datawarga as $a) {
                    $k[] = $a->nama_kecamatan;
					$c[] = '#' . str_pad(dechex(mt_rand(0, 0xFFFFFF)), 6, '0', STR_PAD_LEFT);
					$k_i = $a->kecamatanID;
					$hitung = $a->total;
					$w[] = $hitung;
					$total += $hitung;
                }
				return $data = ['label'=>$k,'data'=>$w,'color'=>$c,'total'=>$total];
				break;
			case 'kelurahan':
				// $kelurahans = Kelurahan::orderBy('nama_kelurahan','ASC')->get();
				$k = [];
				$w = [];
				$c = [];
				$total = 0;

                // foreach ($kelurahans as $kelurahan) {
				// 	$k[] = $kelurahan->nama_kelurahan;
				// 	$c[] = '#' . str_pad(dechex(mt_rand(0, 0xFFFFFF)), 6, '0', STR_PAD_LEFT);
				// 	$k_i = $kelurahan->id;
				// 	$hitung = DataWarga::where('kelurahan_id',$k_i)->count();
				// 	$w[] = $hitung;
				// 	$total += $hitung;
				// }

                $datawarga = DataWarga::select('kelurahans.id AS kelurahanID', 'kelurahans.nama_kelurahan',DB::raw('count(*) AS total'))
                ->join('kelurahans', 'kelurahans.id', '=', 'data_wargas.kelurahan_id')
                ->groupBy('kelurahanID')
                ->get();

                foreach($datawarga as $a) {
                    $k[] = $a->nama_kelurahan;
					$c[] = '#' . str_pad(dechex(mt_rand(0, 0xFFFFFF)), 6, '0', STR_PAD_LEFT);
					$k_i = $a->kelurahanID;
					$hitung = $a->total;
					$w[] = $hitung;
					$total += $hitung;
                }

				return $data = ['label'=>$k,'data'=>$w,'color'=>$c,'total'=>$total];
				break;
			case 'rt':
				// $rt = DataWarga::groupBy('rt')->pluck('rt');
				$k = [];
				$w = [];
				$c = [];
				$total = 0;

                $datawarga = DataWarga::select('rt', DB::raw('count(*) AS total'))->groupBy('rt')->get();
                foreach($datawarga as $a) {
                    $k[] = "RT : ".$a->rt;
					$c[] = '#' . str_pad(dechex(mt_rand(0, 0xFFFFFF)), 6, '0', STR_PAD_LEFT);
					$k_i = $a->rt;
					$hitung = $a->total;
					$w[] = $hitung;
					$total += $hitung;
                }
                // for ($i=0; $i < count($rt); $i++) {
				// 	$k[] = "RT : ".$rt[$i];
				// 	$c[] = '#' . str_pad(dechex(mt_rand(0, 0xFFFFFF)), 6, '0', STR_PAD_LEFT);
				// 	$k_i = $rt[$i];
				// 	$hitung = DataWarga::where('rt',$k_i)->count();
				// 	$w[] = $hitung;
				// 	$total += $hitung;
				// }
				return $data = ['label'=>$k,'data'=>$w,'color'=>$c,'total'=>$total];
				break;

			default:
				# code...
				break;
		}
	}


}
