<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Models\DataWarga;
use App\Models\Kelurahan;
use App\Models\UserLog;
use Exception;

use App\Imports\DataWargaImport;
use App\Models\BoxKendala;
use App\Models\Dpt;
use App\Models\Kabupaten;
use App\Models\Kecamatan;
use App\Models\Tp;
use Barryvdh\DomPDF\Facade as PDF;
use Carbon\Carbon;
// use PDF;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\File;
use Illuminate\Support\Facades\Session;
use Illuminate\Validation\Rule;
use Maatwebsite\Excel\Facades\Excel;


class DataWargaController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {

        $title = "Data Warga";
        $link = "data-warga";

        $s = '';
        $page = 1;
        $sampah = "";

        if(isset($_GET['s'])){
            $s = $_GET['s'];
        }

        if(isset($_GET['page'])){
            $page = $_GET['page'];
        }

        if(isset($_GET['menu'])) {
            $sampah = $_GET['menu'];
        }

        // dd($sampah);

        if(Auth::user()->role == 1 || Auth::user()->role == 2){
            // $datas = DataWarga::where('nama_lengkap','like','%'.$s.'%')->orWhere('nik','like','%'.$s.'%')->orWhere('alamat','like','%'.$s.'%')->orWhereHas('kelurahan',function ($q)use($s){
            //     $q->where('nama_kelurahan','like','%'.$s.'%')->orWhereHas('kecamatan',function ($q)use($s){
            //     $q->where('nama_kecamatan','like','%'.$s.'%');
            // });
            if($sampah == "sampah") {
                // dd($sampah);
                // $datas = DataWarga::onlyTrashed()->where('nama_lengkap','like','%'.$s.'%')->orderBy('created_at','DESC')->paginate(10);
                $datas = DataWarga::onlyTrashed()->where('nama_lengkap','like','%'.$s.'%')->orWhere('nik','like','%'.$s.'%')->where('deleted_at','<>',null)->orderBy('created_at','DESC')->paginate(10);
                // dd($datas);
            } else {
                $datas = DataWarga::where('nama_lengkap','like','%'.$s.'%')->orWhere('nik','like','%'.$s.'%')->orWhere('alamat','like','%'.$s.'%')->orWhereHas('kelurahan',function ($q)use($s){
                    $q->where('nama_kelurahan','like','%'.$s.'%')->orWhereHas('kecamatan',function ($q)use($s){
                    $q->where('nama_kecamatan','like','%'.$s.'%')->orWhereHas('kabupatens', function ($d) use($s) {
                        $d->where('nama_kabupaten','like', '%'.$s.'%');
                    });
                });
                })->orderBy('created_at','DESC')->paginate(10);
                // dd($datas);
            }
        } else {
            // $datas = DataWarga::where('nama_lengkap','like','%'.$s.'%')->orWhere('nik','like','%'.$s.'%')->orWhere('alamat','like','%'.$s.'%')->orWhereHas('kelurahan',function ($q)use($s){
            //     $q->where('nama_kelurahan','like','%'.$s.'%')->orWhereHas('kecamatan',function ($q)use($s){
            //     $q->where('nama_kecamatan','like','%'.$s.'%');
            // });
            if($sampah == "sampah") {
                $datas = DataWarga::onlyTrashed()->where('user_id','=',Auth::user()->id)->where('nama_lengkap','like','%'.$s.'%')->orWhere('nik','like','%'.$s.'%')->where('deleted_at','<>',null)->orderBy('created_at','DESC')->paginate(10);
            } else {
                $s_loop = ['nama_lengkap','nik'];
                foreach($s_loop as $a) {
                    // dd($a);
                    $datas = DataWarga::where('user_id','=',Auth::user()->id)->where($a,'like','%'.$s.'%')->orderBy('created_at','DESC')->paginate(10);
                    if($datas->count() != 0) {
                        break;
                    }
                }
            }
            // dd($datas);
        }

        $no = 1*$page*10-10+1;
        // return view('data-warga.index',compact('title','data-warga','parent','link','datas','no'));
        if(isset($_GET['opsi'])) {
            if($_GET['opsi'] == 0) {
                $user = Auth::user();

                $data_sampah = DataWarga::onlyTrashed()->where('deleted_at', '<>', null)->get();
                $trigger = 0;
                foreach($data_sampah as $a) {
                    $data_asli = DataWarga::where('nik', $a->nik)->count();
                    if($data_asli == 0) {
                        DataWarga::onlyTrashed()->where('deleted_at', '<>', null)->where('id', $a->id)->restore();
                    } else {
                        $trigger += 1;
                    }
                }

                if($trigger > 0) {
                    $msg = 'Berhasil kembalikan beberapa data warga karena sebagian memiliki NIK yang serupa dengan data warga yang sudah ada!';
                } else {
                    $msg = 'Berhasil kembalikan semua data warga';
                }
                UserLog::create(['user_id'=>$user->id,'keterangan'=>$msg]);
                return redirect('data-warga')->with('success_message', $msg);

            } else if($_GET['opsi'] == 1) {
                $user = Auth::user();
                DataWarga::onlyTrashed()->where('deleted_at', '<>', null)->forceDelete();

                $msg = 'Berhasil menghapus permanent semua data warga';
                UserLog::create(['user_id'=>$user->id,'keterangan'=>$msg]);
                return redirect('data-warga')->with('success_message', $msg);
            }
        } else {
            return view('data-warga.index',compact('title','link','datas','no'));
        }

    }

    public function kendala() {
        $title = "Box Kendala";
        $link = "kendala";
        $parent = "Master Data";

        $s = '';
        $page = 1;

        if(isset($_GET['s'])){
            $s = $_GET['s'];
        }

        if(isset($_GET['page'])){
            $page = $_GET['page'];
        }

        $datas = BoxKendala::orderBy('tanggal_penyetor','DESC');
        if(isset($_GET['periode']) && $_GET['periode'] != null && $_GET['periode'] != ''){
            $periode = explode(' - ', $_GET['periode']);
            $datas = $datas->whereDate('tanggal_penyetor','>=',date('Y-m-d',strtotime($periode[0])))->whereDate('tanggal_penyetor','<=',date('Y-m-d',strtotime($periode[1])))->paginate(10);
        } else {
            $datas = $datas->paginate(10);
        }
        $datas->appends($_GET);
        $no = 1*$page*10-10+1;
        // return view('kecamatan.index',compact('title','kecamatan','parent','link','datas','no'));
        return view('data-warga.kendala',compact('title','parent','link','datas','no'));
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        $title = "Tambah Data Warga";
        $link = "data-warga";
        $parent = "Data Warga";
        $status = "tambah";
        if(Request('dpt')) {
            $datas = Dpt::query()->with("tp.kelurahans")->where('id', Request('dpt'))->first();
            return response()->json([
                'data' => $datas,
            ]);
        } else if(Request('cari')) {

            if(Auth::user()->role == 1 || Auth::user()->role == 2) {
                $datas = Dpt::query()->with("tp.kelurahans")->where('nama_lengkap','like','%'.Request('cari').'%')->get();
            } else {
                $datas = Dpt::with("tp.kelurahans")->whereHas('tp', function($tp) {
                    $tp->whereHas('kelurahans', function($kelu) {
                        $kelu->whereHas('kecamatan', function($keca) {
                            $keca->where('kabupaten_id','=', Auth::user()->kabupaten_id);
                        });
                    });
                })->where('nama_lengkap','like','%'.Request('cari').'%')->orderBy('nama_lengkap','ASC')->get();
            }
            // dd($datas);
            return response()->json([
                'data' => $datas,
            ]);
        } else if(Request('kabupaten')) {
            $datas = Kecamatan::where('kabupaten_id', Request('kabupaten'))->get();
            return response()->json([
                'data' => $datas,
            ]);
        } else if(Request('kecamatan')) {
            $datas = Kelurahan::where('kecamatan_id', Request('kecamatan'))->get();
            return response()->json([
                'data' => $datas,
            ]);
        } else if(Request('kelurahan')) {
            $datas = Tp::where('kelurahan_id', Request('kelurahan'))->get();
            return response()->json([
                'data' => $datas,
            ]);
        } else {
            // $dpt = Dpt::orderBy('nama_lengkap', 'ASC')->get();
            $dpt = [];
            $kabupatens = Kabupaten::orderBy('nama_kabupaten','ASC')->pluck('nama_kabupaten','id');
            $kelurahans = Kelurahan::orderBy('nama_kelurahan','ASC')->pluck('nama_kelurahan','id');
            $kecamatans = [];
            if(Auth::user()->role == 0) {
                $kecamatans = Kecamatan::where('kabupaten_id', Auth::user()->kabupaten_id)->get();
            }

            // return view('data-warga.create',compact('title','data-warga','parent','link','kelurahans'));
            return view('data-warga.create',compact('title','parent','link','dpt','kelurahans', 'kabupatens', 'kecamatans','status'));
        }

    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {

        $user = Auth::user();
        $e_ktp = null;


        $rule = [
            'nik' => 'required|'.Rule::unique('data_wargas')->whereNull('deleted_at').'|digits_between:1,16|numeric',
            'e_ktp'=>'nullable|mimes:jpeg,jpg,png,gif',
            'nama_penghubung' => 'required|max:255|string',
            'no_telp_penghubung' => 'required|digits_between:1,14|numeric',
            'alamat'=>'nullable|string',
            'no_telepon'=>'nullable|numeric|digits_between:1,14',
            'email'=>'nullable|string',
            'rt'=>'nullable|string|max:10',
            'jenis_kelamin'=>'sometimes|required',
            'agama'=>'sometimes|required',
            'kawin'=>'sometimes|required',
            'pekerjaan'=>'nullable|string',


        ];

            $nama_penyetor = "";
            // dd($request->rt);
            if($request->dpts_id == 0) {
                $nama_penyetor = $request->nama_lengkap;

                $rule['nama_lengkap'] = 'required|max:255|string';
                $request->validate($rule);
                if ($request->hasFile('e_ktp')) {
                    $nameKTP = str_replace(' ', '-', $request->nik).".".$request->e_ktp->getClientOriginalExtension();
                    $e_ktp = "/storage/".$request->e_ktp->store('e-ktp/'.$nameKTP,'public');
                    // $request->e_ktp->move(public_path('images/e-ktp'),$e_ktp);
                }

                $data = DataWarga::create([
                    'dpt_id'=>$request->dpt_id,
                    'nama_lengkap'=>$request->nama_lengkap,
                    'nik'=>$request->nik,
                    'user_id'=>$user->id,
                    'e_ktp'=>$e_ktp,
                    'alamat'=>$request->alamat,
                    'no_telepon'=>$request->no_telepon,
                    'email'=>$request->email,
                    'kelurahan_id'=>$request->kelurahan_id,
                    'rt'=>$request->rt,
                    'rw'=>$request->rw,
                    'jenis_kelamin'=>$request->jenis_kelamin,
                    'agama'=>$request->agama,
                    'kawin'=>$request->kawin,
                    'pekerjaan'=>$request->pekerjaan,
                    'ttl'=>$request->tempat_lahir.' , '.$request->tanggal_lahir,
                    'keterangan'=>$request->keterangan,
                    'nama_penghubung'=>$request->nama_penghubung,
                    'no_telp_penghubung'=>$request->no_telp_penghubung,
                ]);

                $msg = 'Berhasil menambah data warga dengan nik '.$data->nik. ' atas nama '.$data->nama_lengkap;
                UserLog::create(['user_id'=>$user->id,'keterangan'=>$msg]);
                return redirect('data-warga')->with('success_message', $msg);
            } else {
                $nama_penyetor = $request->cari_dpt;
                $rule['cari_dpt'] = "required";
                $rule['kabupaten_id'] = "required";
                $rule['kecamatan_id'] = "required";
                $rule['kelurahan_ids'] = "required";
                $request->validate($rule);

                if ($request->hasFile('e_ktp')) {
                    $nameKTP = str_replace(' ', '-', $request->nik).".".$request->e_ktp->getClientOriginalExtension();
                    $e_ktp = "/storage/".$request->e_ktp->store('e-ktp/'.$nameKTP,'public');
                    // $request->e_ktp->move(public_path('images/e-ktp'),$e_ktp);
                }

                $tp = Tp::where('kelurahan_id', $request->kelurahan_ids)->first();

                if($tp == null) {
                    $tp_new = Tp::create([
                        'kelurahan_id' => $request->kelurahan_ids,
                        'nomor' => '1',
                    ]);

                    $tp = Tp::where('id', $tp_new->id)->first();
                }

                $data = Dpt::create([
                    'nama_lengkap'=>$request->cari_dpt,
                    'nik'=>$request->nik,
                    // 'user_id'=>$user->id,
                    // 'e_ktp'=>$e_ktp,
                    'alamat'=>$request->alamat,
                    // 'no_telepon'=>$request->no_telepon,
                    'tps_id'=>$tp->id,
                    'rt'=>$request->rt,
                    'rw'=>$request->rw,
                    'usia'=>0,
                    'jenis_kelamin'=>$request->jenis_kelamin == "Laki-laki" ? "L" : "P",
                    // 'agama'=>$request->agama,
                    // 'kawin'=>$request->kawin,
                    // 'pekerjaan'=>$request->pekerjaan,
                    // 'tempat_lahirs'=> $request->tempat_lahir,
                    // 'tanggal_lahirs'=> $request->tanggal_lahir,
                    'keterangan' => $request->keterangan,
                    'status' => 1,
                    // 'nama_penghubung'=>$request->nama_penghubung,
                    // 'no_telp_penghubung'=>$request->no_telp_penghubung,
                ]);

                $datas = DataWarga::create([
                    'dpt_id'=>$data->id,
                    'nama_lengkap'=>$request->cari_dpt,
                    'nik'=>$request->nik,
                    'user_id'=>$user->id,
                    'e_ktp'=>$e_ktp,
                    'alamat'=>$request->alamat,
                    'no_telepon'=>$request->no_telepon,
                    'email'=>$request->email,
                    'kelurahan_id'=>$request->kelurahan_ids,
                    'rt'=>$request->rt,
                    'rw'=>$request->rw,
                    'jenis_kelamin'=>$request->jenis_kelamin,
                    'agama'=>$request->agama,
                    'kawin'=>$request->kawin,
                    'pekerjaan'=>$request->pekerjaan,
                    'ttl'=>$request->tempat_lahir.' , '.$request->tanggal_lahir,
                    'keterangan'=>$request->keterangan,
                    'nama_penghubung'=>$request->nama_penghubung,
                    'no_telp_penghubung'=>$request->no_telp_penghubung,
                ]);

                $msg = 'Berhasil menambah dpt tidak terdaftar dan data warga dengan nik '.$datas->nik.' atas nama '.$datas->nama_lengkap;
                UserLog::create(['user_id'=>$user->id,'keterangan'=>$msg]);
                return redirect('data-warga')->with('success_message', $msg);
            }    //code...
        try {
        } catch (Exception $th) {
            //throw $th;
            $kendala = BoxKendala::create([
                'nama_penyetor' => $nama_penyetor,
                'tanggal_penyetor' => Carbon::now(),
                'user_id' => $user->id,
                'error' => $th->getMessage(),
            ]);
            return redirect()->back()->with('error_message', 'Terjadi Kesalahan!');
        }
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        $title = "Detail Data Warga";
        $link = "data-warga";
        $parent = "Data Warga";

        $data = DataWarga::find($id);
        // dd($data->kelurahan->kecamatan->kabupatens);
        // return view('data-warga.show',compact('title','data-warga','parent','link','data'));
        return view('data-warga.show',compact('title','parent','link','data'));

    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        $title = "Edit Data Warga";
        $link = "data-warga";
        $parent = "Data Warga";
        $status = "edit";

        // $kabupatens = Kabupaten::orderBy('nama_kabupaten','ASC')->pluck('nama_kabupaten','id');
        $kelurahans = Kelurahan::orderBy('nama_kelurahan','ASC')->pluck('nama_kelurahan','id');
        $data = DataWarga::find($id);
        $dpt = Dpt::where('id', '=', $data->dpt_id)->orderBy('nama_lengkap', 'ASC')->get();
        // return view('data-warga.edit',compact('title','data-warga','parent','link','kelurahans','data'));
        return view('data-warga.edit',compact('title','parent','link','kelurahans','dpt','data', 'status'));

    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        $data = DataWarga::find($id);
        $e_ktp = $data->e_ktp;
        if ($request->hasFile('e_ktp')) {
            if(File::exists(public_path().$data->e_ktp)) {
                File::delete(public_path().$data->e_ktp);
            }
            $nameKTP = str_replace(' ', '-', $request->nik).".".$request->e_ktp->getClientOriginalExtension();
            $e_ktp = "/storage/".$request->e_ktp->store('e-ktp/'.$nameKTP,'public');
            // $request->e_ktp->move(public_path('images/e-ktp'),$e_ktp);
        }
        // if($request->hasFile($request->e_ktp)){
        //     if(File::exists(public_path().$data->e_ktp)) {
        //         File::delete(public_path().$data->e_ktp);
        //     }
        //     $nameKTP = str_replace(' ', '-', $request->nik).".".$request->e_ktp->getClientOriginalExtension();
        //     $e_ktp = "/storage/".$request->e_ktp->store('e-ktp/'.$nameKTP,'public');
        //     // $e_ktp = str_replace(' ', '-', $request->nik).".".$request->e_ktp->getClientOriginalExtension();
        //     // $request->e_ktp->move(public_path('images/e-ktp'),$e_ktp);
        // }

        // dd($data);
        $data->update([
            'dpt_id'=>$request->dpt_id,
            'nama_lengkap'=>$request->nama_lengkap,
            'nik'=>$request->nik,

            'e_ktp'=>$e_ktp,
            'alamat'=>$request->alamat,
            'no_telepon'=>$request->no_telepon,
            'email'=>$request->email,
            'kelurahan_id'=>$request->kelurahan_id,
            'rt'=>$request->rt,
            'rw'=>$request->rw,
            'jenis_kelamin'=>$request->jenis_kelamin,
            'agama'=>$request->agama,
            'kawin'=>$request->kawin,
            'pekerjaan'=>$request->pekerjaan,
            'ttl'=>$request->tempat_lahir.' , '.$request->tanggal_lahir,
            'keterangan'=>$request->keterangan,
            'nama_penghubung'=>$request->nama_penghubung,
            'no_telp_penghubung'=>$request->no_telp_penghubung,
        ]);

        $msg = 'Berhasil mengubah data warga dengan nik '.$data->nik.' atas nama '.$data->nama_lengkap;
        UserLog::create(['user_id'=>Auth::user()->id,'keterangan'=>$msg]);
        return redirect('data-warga')->with('success_message', $msg);
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        if(isset($_GET['restore'])) {
            $data = DataWarga::withTrashed()->where('id',$id);
            // dd($daa)
            $user = Auth::user();
            try {
                if($_GET['restore'] == "yes") {
                    $data->restore();
                    $warga = DataWarga::find($id);
                    // $data->save();
                    $msg = 'Berhasil kembalikan data warga dengan nik '. $warga->nik.' atas nama '.$warga->nama_lengkap;
                    UserLog::create(['user_id'=>$user->id,'keterangan'=>$msg]);
                    return redirect('data-warga?menu=sampah')->with('success_message', $msg);
                } else if($_GET['restore'] == "no") {
                    $warga = $data->first()->nik;
                    // dd($warga);
                    $data->forceDelete();
                    // dd("Test");
                    // $data->save();
                    // $warga = DataWarga::find($id);
                    $msg = 'Berhasil menghapus permanent data warga dengan nik '. $warga.' atas nama '.$data->first()->nama_lengkap;
                    UserLog::create(['user_id'=>$user->id,'keterangan'=>$msg]);
                    return redirect('data-warga?menu=sampah')->with('success_message', $msg);
                }
            } catch (Exception $e) {
                $msg = 'Gagal kembalikan data warga dengan nik ';
                UserLog::create(['user_id'=>$user->id,'keterangan'=>$msg]);
                return redirect('data-warga')->with('error_message', $msg);
            }
        } else {
            $data = DataWarga::find($id);
            if(File::exists(public_path().$data->e_ktp)) {
                File::delete(public_path().$data->e_ktp);
            }
            $user = Auth::user();
            try {
                $data->delete();
                $msg = 'Berhasil menghapus data warga dengan nik '.$data->nik.' atas nama '.$data->nama_lengkap;
                UserLog::create(['user_id'=>$user->id,'keterangan'=>$msg]);
                return redirect('data-warga')->with('success_message', $msg);
            } catch (Exception $e) {
                $msg = 'Gagal menghapus data warga dengan nik '.$data->nik.' atas nama '.$data->nama_lengkap;
                UserLog::create(['user_id'=>$user->id,'keterangan'=>$msg]);
                return redirect('data-warga')->with('error_message', $msg);
            }
        }


    }

    public function formulir($id)
    {
        $title = "Formulir Data Warga";
        $link = "data-warga";
        $parent = "Data Warga";

        $data = DataWarga::find($id);
        $opt = ['data' => $data];
        // $pdf = PDF::load
        $pdf = PDF::loadView('data-warga.formulir', $opt);
        // return $pdf->stream("dompdf_out.pdf", array("Attachment" => false));
        return $pdf->download('formulir-data-warga-'.$data->nik.'.pdf');
        // return view('data-warga.formulir',compact('title','data-warga','parent','link','data'));
        // return view('data-warga.formulir',compact('title','parent','link','data'));

    }

    public function importView()
    {
        $title = "Import Data Warga";
        $link = "data-warga";
        $parent = "Data Warga";
        $warnings = Session::get('alert_import',[]);

        // return view('data-warga.import',compact('title','data-warga','parent','link','warnings'));
        return view('data-warga.import',compact('title','parent','link','warnings'));

    }

    public function import(Request $request)
    {
        Session::put('alert_import',[]);

        $import = new DataWargaImport;
        Excel::import($import,request()->file('file'));

        if($import->getdptNonRegister() != 0) {
            $msg = 'Berhasil mengimport data excel dengan nama '.$request->file->getClientOriginalName().' ke dpt belum terdaftar dan ke data warga!';
            UserLog::create(['user_id'=>Auth::user()->id,'keterangan'=>$msg]);
            return redirect('dpt?status=1')->with('success_message', $msg);
        } else {
            $msg = 'Berhasil mengimport data excel dengan nama '.$request->file->getClientOriginalName();
            UserLog::create(['user_id'=>Auth::user()->id,'keterangan'=>$msg]);
            if($import->getTotal() == 0) {
                return redirect('data-warga/import');
            } else {
                return redirect('data-warga/import')->with('success_message', $msg);
            }
        }

    }
}
