<?php

namespace App\Models\Api;

use Illuminate\Database\Eloquent\Model;
use App\Models\DataWarga;
class ApiDataWarga extends DataWarga
{
    protected $hidden = [
    	'created_at',
    	'updated_at',
        'kelurahan',
        'e_ktp'
    ];

    protected $appends = [
    	'nama_kelurahan',
    	'nama_kecamatan',
    	'gambar_ktp',
        'tanggal_dibuat',
        'tanggal_lahir',
        'tempat_lahir'
    ];


    public function getGambarKtpAttribute()
    {
    	return url('images/e-ktp/'.$this->e_ktp);
    }

    public function getNamaKelurahanAttribute()
    {
    	return @$this->kelurahan->nama_kelurahan;
    }

    public function getNamaKecamatanAttribute()
    {
    	return @$this->kelurahan->kecamatan->nama_kecamatan;
    }

    public function getTanggalDibuatAttribute()
    {
        return $this->created_at->format('d-m-Y');
    }

    public function getTanggalLahirAttribute()
    {
        return explode(' , ', $this->ttl)[1] ?? null;
    }

    public function getTempatLahirAttribute()
    {
        return explode(' , ', $this->ttl)[0] ?? null;
    }
}
