@extends('layouts.app')

@section('content')

<!-- Default box -->
<div class="box">
  <div class="box-header with-border">
    <h3 class="box-title">Data {{$title}}</h3>

    <div class="box-tools pull-right">
      <button type="button" class="btn btn-box-tool" data-widget="collapse" data-toggle="tooltip" title="Collapse">
        <i class="fa fa-minus"></i></button>
      
    </div>
  </div>
  <div class="box-body">
    @include('layouts.include.cari')
    <a href="{{ url($link.'/create') }}" class="btn btn-sm btn-primary" title="Tambah Data {{ $title }}"><i class="fa fa-plus"></i></a>
   
    <table id="example2" class="table table-bordered table-hover">
      <thead>
        <tr>
          <th>No</th>
          <th>Image</th>
          <th>Caption</th>
          <th>Urutan</th>
          <th>Aksi</th>
        </tr>
      </thead>
      <tbody>
        @foreach($datas as $data)
          <tr>
            <td>
              {{ $no++ }}
            </td>
            <td>
              {{ $data->image }}
            </td>
            <td>
              {{ $data->caption }}
            </td>
            <td>
              <a href="{{ url($link.'/'.$data->id.'/order?order=up') }}" class="btn btn-sm btn-flat btn-default"><i class="fa fa-sort-up"></i></a>
              <a href="{{ url($link.'/'.$data->id.'/order?order=down') }}" class="btn btn-sm btn-flat btn-default"><i class="fa fa-sort-down"></i></a>

            </td>
            <td>
              <form method="post" action="{{ url($link.'/'.$data->id) }}">
                @csrf
                <input type="hidden" name="_method" value="delete">
                <a href="{{ url($link.'/'.$data->id.'/edit') }}" class="btn btn-sm btn-warning"><i class="fa fa-edit"></i></a>
                <button type="submit" class="btn btn-sm btn-danger"><i class="fa fa-trash"></i></button>
              </form>
                
            </td>
          </tr>
        @endforeach
      </tbody>
    </table>
  </div>
  <!-- /.box-body -->
  <div class="box-footer">
    {!! $datas->links() !!}
  </div>
  <!-- /.box-footer-->
</div>
<!-- /.box -->
@endsection
