<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/firebase','FirebaseController@index');
Route::get('/firebase/user','FirebaseController@listUser');

Route::get('/', function () {
    return redirect('home');
});

Auth::routes();
Auth::routes([ 'register' => false ]);

Route::get('/home', 'HomeController@index')->name('home');
Route::get('/RefreshHomePage', 'HomeController@RefreshHomePage');

Route::group(['middleware'=>['auth']],function ()
{
    Route::get('kabupaten/import','KabupatenController@importView')->middleware(['auth','admin']);
	Route::post('kabupaten/import','KabupatenController@import')->middleware(['auth','admin']);
    Route::resource('kabupaten','KabupatenController')->middleware(['auth','admin']);

    Route::get('kecamatan/import','KecamatanController@importView')->middleware(['auth','admin']);
	Route::post('kecamatan/import','KecamatanController@import')->middleware(['auth','admin']);
    Route::resource('kecamatan','KecamatanController')->middleware(['auth','admin']);

    Route::get('kelurahan/import','KelurahanController@importView')->middleware(['auth','admin']);
	Route::post('kelurahan/import','KelurahanController@import')->middleware(['auth','admin']);
	Route::resource('kelurahan','KelurahanController')->middleware(['auth','admin']);

    Route::get('tps/import','TpsController@importView')->middleware(['auth','admin']);
	Route::post('tps/import','TpsController@import')->middleware(['auth','admin']);
	Route::resource('tps','TpsController')->middleware(['auth','admin']);

    Route::get('dpt/{id}/formulir','DptController@formulir')->middleware(['auth']);
    Route::get('dpt/import','DptController@importView')->middleware(['auth','admin']);
	Route::post('dpt/import','DptController@import')->middleware(['auth','admin']);
	Route::resource('dpt','DptController')->middleware(['auth','admin']);

    Route::resource('sinkron', 'SinkronController')->middleware(['auth','admin']);

	Route::delete('data-warga/{id}','DataWargaController@destroy')->middleware(['auth']);
	Route::get('data-warga/{id}/formulir','DataWargaController@formulir')->middleware(['auth']);
	Route::get('data-warga/import','DataWargaController@importView')->middleware(['auth']);
	Route::post('data-warga/import','DataWargaController@import')->middleware(['auth']);
    Route::get('kendala','DataWargaController@kendala')->middleware(['auth']);
	Route::resource('data-warga','DataWargaController');

    Route::resource('surat-dukungan', "SuratDukunganController")->middleware(['auth']);

	Route::resource('user/user-log','UserLogController')->middleware(['auth','admin']);
    Route::get('user/import','UserController@importView')->middleware(['auth','admin']);
	Route::post('user/import','UserController@import')->middleware(['auth','admin']);
	Route::resource('user','UserController')->middleware(['auth','admin']);

	Route::get('rekap/{menu}','RekapController@rekap')->middleware(['auth','admin']);
	Route::get('rekap/{menu}/cetak','RekapController@cetak')->middleware(['auth','admin']);

	Route::get('galeri/{id}/order','GaleriController@order')->middleware(['auth','admin']);
	Route::resource('galeri','GaleriController')->middleware(['auth','admin']);



});
